from twisted.internet.defer import succeed


class FakeAMQClient:
    def __init__(self):
        self.amq_channel = FakeAMQChannel()

    def authenticate(self, user, password):
        return succeed(True)

    def channel(self, index):
        return succeed(self.amq_channel)


class FakeAMQChannel:
    def channel_open(self):
        return succeed(True)


class FakePublisher:
    def __init__(self):
        self.connections = []

    def connected(self, connection_data):
        self.connections.append(connection_data)
        return succeed(True)

    def disconnected(self):
        self.connections.pop()
