from zope.component import getUtility

from canonical.amqp.message.interfaces import IDispatcher
from canonical.landscape.model.main.computer import get_child_computer_ids


__all__ = ["create_job_for_computers_removal"]


def create_job_for_computers_removal(account, computer_ids, person=None, page_key=None):
    """
    Create a job to remove Computers specified by IDs and related entities.

    @param account: The Account to remove Computers from.
    @param computer_ids: IDs of Computers to remove.
    @param person: Optionally the person submitting the job.
    @param page_key: The page key to pass to the created job.
    """
    if not computer_ids:
        return
    person_id = person.id if person is not None else None
    dispatcher = getUtility(IDispatcher)
    dispatcher.create_job(
        page_key=page_key,
        namespace=None,
        action="remove-computers",
        account_id=account.id,
        person_id=person_id,
        computer_ids=computer_ids,
    )
