# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""
Create computer_selection_data table
"""


statements = [
    """
CREATE TABLE computer_selection_data (
    person_id integer NOT NULL REFERENCES person(id) ON DELETE CASCADE,
    account_id integer NOT NULL REFERENCES account(id) ON DELETE CASCADE,
    selected_computer_ids INT[],
    PRIMARY KEY (person_id, account_id)
    )
""",
    """
GRANT SELECT, INSERT, DELETE, UPDATE
    ON TABLE computer_selection_data TO landscape, landscape_maintenance
""",
]


def apply(store):
    print(__doc__)

    for statement in statements:
        store.execute(statement)
