# Copyright 2005-2023 Canonical Ltd. All rights reserved.

from . import __doc__

STATEMENTS = [
    """
CREATE TABLE person_computer (
    person_id INT REFERENCES person(id) ON DELETE CASCADE,
    computer_id INT REFERENCES computer(id) ON DELETE CASCADE,
    PRIMARY KEY (person_id, computer_id)
)
""",
    """
GRANT SELECT, INSERT, UPDATE, DELETE
    ON TABLE person_computer TO landscape
""",
]

REVERSE_STATEMENTS = [
    """
DROP TABLE person_computer
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)


def reverse(store):
    print(f"Reversing patch: {__doc__}")
    for statement in REVERSE_STATEMENTS:
        store.execute(statement)
