# Copyright 2005-2023 Canonical Ltd. All rights reserved.

from . import __doc__

STATEMENTS = [
    """
ALTER TABLE person
    ADD COLUMN IF NOT EXISTS preferred_account_id INT
""",
    """
ALTER TABLE person
    ADD CONSTRAINT person_preferred_account_id_fkey
    FOREIGN KEY (preferred_account_id) REFERENCES Account(id)
    ON DELETE SET NULL
""",
]

REVERSE_STATEMENTS = [
    """
ALTER TABLE person
    DROP COLUMN IF EXISTS preferred_account_id
"""
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)


def reverse(store):
    print(f"Reversing patch: {__doc__}")
    for statement in REVERSE_STATEMENTS:
        store.execute(statement)
