from . import __doc__

STATEMENTS = [
    "ALTER TABLE pending_computer ADD COLUMN IF NOT EXISTS distribution_id INTEGER",
    """
    ALTER TABLE pending_computer
        ADD CONSTRAINT pending_computer_distribution_id_fkey
        FOREIGN KEY (distribution_id) REFERENCES distribution
        ON DELETE SET NULL
    """,
]

REVERSE_STATEMENTS = [
    """
ALTER TABLE pending_computer
    DROP COLUMN IF EXISTS distribution_id
"""
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)


def reverse(store):
    print(f"Reversing patch: {__doc__}")
    for statement in REVERSE_STATEMENTS:
        store.execute(statement)
