import logging
import subprocess

from canonical.landscape.grpc import HOSTAGENT_API_DIR

HOSTAGENT_REPO = "https://raw.githubusercontent.com/canonical/landscape-hostagent-api"
HOSTAGENT_COMMIT = "f5b328f91e2c570a353d066f11938a92620a85c8"
HOSTAGENT_PROTO = "hostagent.proto"


def run():
    logger = logging.getLogger("hostagent-api")
    try:
        subprocess.run(
            [
                "curl",
                "-o",
                f"{HOSTAGENT_API_DIR}/{HOSTAGENT_PROTO}",
                f"{HOSTAGENT_REPO}/{HOSTAGENT_COMMIT}/{HOSTAGENT_PROTO}",
            ],
            check=True,
        )
        logger.info("Fetched %s", HOSTAGENT_PROTO)
    except subprocess.CalledProcessError:
        logger.warning("Failed to fetch %s", HOSTAGENT_PROTO)


if __name__ == "__main__":
    run()
