# Copyright 2005-2024 Canonical Limited.  All rights reserved.

from canonical.landscape.ui.page.page import LandscapePage


class SidebarPage(LandscapePage):
    def create_tag_url(self):
        if self.account is not None:
            return f"{self.account.url}/tag"
        return None


class FilteredSidebarPage(SidebarPage):
    """A special sidebar page designed for pages with a filter.

    Some pages have a filter at the top, that doesn't scroll with the main
    content.  This base class should be used for such pages.  A content
    provider called 'filter' must be provided for views built on this class.
    It will be automatically included in the page and positioned properly.
    """
