# Copyright 2005-2024 Canonical Limited.  All rights reserved.

from zope.cachedescriptors.property import Lazy

from canonical.landscape.ui.toolbar.page import ToolbarPage


class LockUserPage(ToolbarPage):

    requires = "landscape.EditUser"

    def __init__(self, context, request):
        super(LockUserPage, self).__init__(context, request)

        if "actions.lock" in self.request:
            self.context.lock_users()
            usernames = sorted(set(u.username for u in self.context.users))
            self.notes.info("User %s will be locked." % ", ".join(usernames))
            self.request.response.redirect(self.context.management.url(self.request))

    @Lazy
    def title(self):
        if len(self.context.users) > 1:
            return "Lock users"
        return "Lock user"
