# Copyright 2005-2024 Canonical Limited.  All rights reserved.

from zope.cachedescriptors.property import Lazy

from canonical.landscape.ui.toolbar.page import ToolbarPage


class UnlockUserPage(ToolbarPage):

    requires = "landscape.EditUser"

    def __init__(self, context, request):
        super(UnlockUserPage, self).__init__(context, request)
        # It is somewhat sad that I am not using the form framework
        # for this form.
        if "actions.unlock" in self.request:
            self.context.unlock_users()
            usernames = sorted(set(u.username for u in self.context.users))
            self.notes.info("User %s will be unlocked." % ", ".join(usernames))
            self.request.response.redirect(self.context.management.url(self.request))

    @Lazy
    def title(self):
        if len(self.context.users) > 1:
            return "Unlock users"
        return "Unlock user"
