# Copyright 2005-2024 Canonical Limited.  All rights reserved.

from zope.traversing.interfaces import ITraversable, TraversalError
from zope.interface import Interface, implementer
from zope.component import adapts

from canonical.url.url import get_url_object


@implementer(ITraversable)
class URLTraverser:

    adapts(Interface, Interface)

    def __init__(self, context, request):
        self.context = context
        self.request = request

    def traverse(self, name, remaining):
        obj = get_url_object(self.context, self.request, name)
        if obj is None:
            raise TraversalError(self.context, "++url++%s" % name)
        return obj
